Name:           libxnm
Version:        0.1.3
Release:        1%{?dist}
Summary:        A library for parsing the XNM format

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://xnm.sourceforge.net/
Source0:        http://downloads.sourceforge.net/xnm/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  glib2-devel

Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig
    

%description
XNM is a simple recursively defined serialization syntax for storing
and communicating of complex data structures

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --enable-static=no
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p" libxnmdocdir=%{_defaultdocdir}/%{name}-%{version}
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/lib*.so.*


%files devel
%defattr(-,root,root,-)
%doc doxygen-doc/*
%{_includedir}/xnm/
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Feb 05 2009 Fabian Affolter <fabian@bernewireless.net> - 0.1.3-1
- Updated to new upstream version 0.1.3
- Fixed Source URL, directory ownership, doc for devel subpackage

* Tue Dec 30 2008 Fabian Affolter <fabian@bernewireless.net> - 0.1.2-1
- Initial package for Fedora
